# For non-English characters, this file MUST stay encoded in UTF-8
quests:
  default1:
    name: Iron Miner
    ask-message: <yellow>Mine <pink>2<yellow> blocks of <pink>Iron Ore<yellow>.
    finish-message: <yellow>Well done. Here is your reward.
    redo-delay: 1800
    requirements:
      items:
      - name-stone_pickaxe:amount-1
      remove-items:
      - false
      fail-requirement-message: <red>You must have a <pink>Stone Pickaxe<red> first.
    stages:
      ordered:
        '1':
          break-block-names:
          - IRON_ORE
          break-block-amounts:
          - 2
          break-block-durability:
          - 0
    rewards:
      money: 1000
      quest-points: 1
  default2:
    name: Mob Hunter
    ask-message: <yellow>Kill an assortment of Mobs.
    finish-message: <yellow>Excellent. Here is a <pink>Diamond Sword<yellow>.
    stages:
      ordered:
        '1':
          death-event: DeathFail
          mobs-to-kill:
          - Pig
          mob-amounts:
          - 3
          finish-event: NiceFinish
        '2':
          death-event: DeathFail
          mobs-to-kill:
          - Zombie
          mob-amounts:
          - 2
          finish-event: NiceFinish
        '3':
          death-event: DeathFail
          mobs-to-kill:
          - Skeleton
          mob-amounts:
          - 1
    rewards:
      items:
      - name-DIAMOND_SWORD:amount-1
      exp: 100
      quest-points: 1
  default3:
    name: Catch Fish
    ask-message: §eCatch some fish!
    finish-message: §eGood job. Here is some §aexperience§e.
    npc-giver-id: 0
    stages:
      ordered:
        '1':
          fish-to-catch: 5
          start-event: RodStart
          death-event: DeathFail
          chat-events:
          - GiveRod
          chat-event-triggers:
          - rod
    rewards:
      exp: 250
    planner:
      override: false
    options:
      allow-commands: true
      allow-quitting: true
      ignore-silk-touch: true
      use-dungeonsxl-plugin: false
      use-parties-plugin: true
      share-progress-level: 1
      same-quest-only: true
      share-distance: 0.0
      handle-offline-players: false
  default4:
    name: Timed Quest
    ask-message: <yellow>Dig up <pink>10<yellow> blocks of <pink>Dirt<yellow> before
      time runs out!
    finish-message: <yellow>You did it in time! Have an <pink>Iron Shovel<yellow>
      and some <green>experience<yellow>.
    requirements:
      quest-points: 1
      fail-requirement-message: <red>Complete <pink>Iron Miner<red> or <pink>Mob Hunter<red>
        first.
    stages:
      ordered:
        '1':
          break-block-names:
          - DIRT
          break-block-amounts:
          - 10
          break-block-durability:
          - 0
          start-event: TimerStart
          finish-event: CancelTimer
    rewards:
      items:
      - name-GOLD_INGOT:amount-1
      exp: 150
